#include <glib.h>

gboolean timeout_callback(gpointer data)
{
    static int i = 0;
    i++;
    g_print("timeout_callback called %d times\n", i);
    if (10 == i) {
        g_main_loop_quit( (GMainLoop*)data );
        return FALSE;
    }
    return TRUE;
}

int main(int argc, char* argv){
  GMainLoop * mloop = g_main_loop_new ( NULL , FALSE );
  g_timeout_add (100 , timeout_callback , mloop); 
  g_main_loop_run (mloop);
  g_main_loop_unref(mloop);
  return 0;
}
